tr.settings.room = {
    meta_brief = {
        warning = "red",
        notes = "yellow",
        herbs = "green",
        poi = "gray",
    },

    meta_allowed = {
        class = true,
        herbs = true,
        notes = true,
        warning = true,
        poi = true,
        ship = true,
    },

    meta_allowed_exit = {
        override_ = true, -- override direction, do something else, comma separated
        block_ = true, -- block direction (even with human imput, except for forced move)
    },
}

tr.dir = {
  n = 1,
  north = 1,
  ne = 2,
  northeast = 2,
  nw = 3,
  northwest = 3,
  e = 4,
  east = 4,
  w = 5,
  west = 5,
  s = 6,
  south = 6,
  se = 7,
  southeast = 7,
  sw = 8,
  southwest = 8,
  u = 9,
  up = 9,
  d = 10,
  down = 10,
  ["in"] = 11,
  out = 12,
}

tr.dir_long = {
  [1] = "north",
  [2] = "northeast",
  [3] = "northwest",
  [4] = "east",
  [5] = "west",
  [6] = "south",
  [7] = "southeast",
  [8] = "southwest",
  [9] = "up",
  [10] = "down",
  [11] = "in",
  [12] = "out",
}

tr.dir_short  = {
  [1] = "n",
  [2] = "ne",
  [3] = "nw",
  [4] = "e",
  [5] = "w",
  [6] = "s",
  [7] = "se",
  [8] = "sw",
  [9] = "u",
  [10] = "d",
}

function tr.dirToLong(dir_short)
    local d = tr.dir[dir_short]

    if d then
        return tr.dir_long[d]
    end
    return nil
end

function tr.dirToShort(dir_long)
    local d = tr.dir[dir_long]

    if d then
        return tr.dir_short[d]
    end
    return nil
end

tr.dir_rev = {
    n = "s",
    s = "n",
    w = "e",
    e = "w",
    ne = "sw",
    nw = "se",
    se = "nw",
    sw = "ne",
    u = "d",
    d = "u",
    up = "d",
    down = "u",
}

tr.exitOfs_x = {0, 1, -1,  1, -1,  0,  1, -1, 1,  1, 1, 1}
tr.exitOfs_y = {1, 1,  1,  0,  0, -1, -1, -1, 0,  0, 0, 0}
tr.exitOfs_z = {0, 0,  0,  0,  0,  0,  0,  0, 1, -1, 0, 0}
